.property-map-page {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;
}
.property-map-page .compact-property-card {
  height: fit-content;
}
.property-map-page .compact-property-card .compact-property-img-wrapper {
  width: 115px;
  height: 115px;
}
.property-map-page
  .compact-property-card
  .compact-property-content
  .compact-property-info,
.property-map-page
  .compact-property-card
  .compact-property-content
  .compact-property-location {
  font-size: 12px;
}
.property-map-page
  .compact-property-card
  .compact-property-content
  .compact-property-price {
  margin: 0;
  font-size: 15px;
  color: #000000;
  font-weight: 500;
}
.property-map-page
  .compact-property-card
  .compact-property-content
  .compact-property-title {
  font-size: 15px;
}
.property-map-page .map-wrapper {
  width: 100%;
  height: 100%;
}
.property-map-page .map-wrapper iframe {
  width: 100%;
  height: 100%;
  border: 0;
}
.property-map-page .map-search-box {
  position: absolute;
  top: 20px;
  left: 0;
  width: 100%;
  z-index: 20;
  pointer-events: none;
}
.property-map-page .map-search-box .search_main_box {
  max-width: 550px;
  background: #ffffff;
  border-radius: 16px;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.12);
}
.property-map-page .content-wrapper {
  display: flex;
  justify-content: space-between;
}
.property-map-page .left-wrapper {
  pointer-events: auto;
  height: fit-content;
}
.property-map-page .left-wrapper .back-btn {
  width: 25px;
  height: 25px;
  border-radius: 50%;
  font-size: 13px;
  cursor: pointer;
  border: 2px solid #27a8e0;
  color: #27a8e0;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 5px 0px 5px 12px;
  background: #ffffff !important;
}
.property-map-page .sidebar-scroll {
  box-shadow: -3px 15px 20px #00000026;
  border-radius: 8px;
  max-height: 640px;
  overflow-y: auto;
  padding: 15px;
  display: flex;
  flex-direction: column;
  gap: 16px;
  background: #ffffff;
  min-width: 420px;
  width: 420px;
}
.property-map-page .sidebar-scroll::-webkit-scrollbar {
  width: 3px;
}
.property-map-page .sidebar-scroll::-webkit-scrollbar-thumb {
  background: #cfcfcf;
  border-radius: 20px;
}

.property-map-page .search_main_box,
.property-map-page .sidebar-scroll,
.btn-wrapper {
  pointer-events: auto;
}
.property-map-offcanvas .offcanvas-header {
  background: #27a8e0 !important;
  color: #ffffff !important;
}
.property-map-offcanvas .offcanvas-header .btn-close {
  filter: invert(1);
  opacity: 1;
}

.property-map-page .btn-wrappers {
  display: flex;
  align-items: center;
  /* gap: 10px; */
}
@media (min-width: 575px) and (max-width: 991px) {
  .property-map-offcanvas {
    width: 458px !important;
  }
}

@media (max-width: 991px) {
  .property-map-page .content-wrapper {
    gap: 20px;
    flex-direction: column;
  }
  .property-map-page .map-search-box {
    top: 45px;
    padding: 0 10px;
  }
  .property-map-page .map-search-box .search_main_box {
    max-width: 100%;
    padding: 14px;
  }
  .property-map-page .sidebar-scroll {
    height: 340px;
    width: 96%;
    margin: auto;
  }
  .compact-property-card {
    margin-bottom: 10px;
  }
}

@media (min-width: 992px) and (max-width: 1199px) {
  .property-map-page .sidebar-scroll {
    min-width: 392px;
  }
  .property-map-page .map-search-box .search_main_box {
    max-width: 490px;
  }
  .property-map-page .search_main_box .property_tabs .nav-link {
    padding: 6px 24px !important;
  }
}

@media (min-width: 576px) and (max-width: 767.98px) {
  .property-map-page .sidebar-scroll {
    height: 340px;
    width: 95%;
    margin: auto;
  }
}
@media (min-width: 0px) and (max-width: 575.98px) {
  .property-map-page .map-search-box {
    padding: 0px !important;
  }
  .property-map-page .sidebar-scroll {
    min-width: 296px;
  }
  .property-map-page .compact-property-card .compact-property-img-wrapper {
    width: 100%;
    height: 130px;
  }
  .property-map-page .con-section {
    padding: 0 !important;
  }
  .property-map-page .sidebar-scroll {
    width: 100%;
    height: 295px;
  }
  .property-map-page {
    height: 130vh;
  }
}
